Skip to main content
PUT
/
networks
/
custom
/
creative
/
{settingId}
Update Custom Creative Setting
curl --request PUT \
  --url https://api.eflow.team/v1/networks/custom/creative/{settingId} \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "network_offer_creative_ids": [
    10,
    20
  ],
  "network_affiliate_ids": [
    100,
    200
  ],
  "name": "Updated Holiday Banner",
  "custom_setting_status": "active",
  "creative": {
    "network_id": 1,
    "network_offer_id": 5,
    "name": "Updated Banner Creative",
    "creative_type": "html",
    "is_private": false,
    "creative_status": "active",
    "html_code": "<div>Updated ad content</div>",
    "width": 300,
    "height": 250,
    "additional_offer_ids": [],
    "is_apply_specific_affiliates": false
  }
}
'
{
  "network_custom_creative_setting_id": 123,
  "network_id": 123,
  "network_offer_creative_ids": [
    123
  ],
  "network_affiliate_ids": [
    123
  ],
  "name": "<string>",
  "custom_setting_status": "active",
  "time_created": 1734455015,
  "time_saved": 1734455015,
  "relationship": {
    "affiliates": [
      {}
    ],
    "creative": {}
  }
}

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

settingId
integer
required

The custom creative setting identifier.

Body

application/json
network_affiliate_ids
integer[]
required

List of affiliate IDs this setting applies to.

name
string
required

Custom creative setting name.

custom_setting_status
enum<string>
required

Setting status.

Available options:
active,
inactive
creative
object
required

Creative object to create inline. A new creative is always created from this object.

network_offer_creative_ids
integer[]

List of offer creative IDs to assign. When a creative object is provided, the newly created creative's ID will replace the values in this array.

Response

200 - application/json
network_custom_creative_setting_id
integer

Unique custom creative setting ID.

network_id
integer

Network ID.

network_offer_creative_ids
integer[]

List of offer creative IDs assigned.

network_affiliate_ids
integer[]

List of affiliate IDs this setting applies to.

name
string

Custom creative setting name.

custom_setting_status
enum<string>

Setting status.

Available options:
active,
inactive
time_created
integer

Unix timestamp of creation.

Example:

1734455015

time_saved
integer

Unix timestamp of last update.

Example:

1734455015

relationship
object